ATA_TF_TO_FIS(9)

NAME
ata_tf_to_fis - Convert ATA taskfile to SATA FIS structure

SYNOPSIS

void ata_tf_to_fis(const struct ata_taskfile * tf, u8 pmp, int is_cmd, u8 * fis);

ARGUMENTS

tf
    Taskfile to convert

pmp
    Port multiplier port

is_cmd
    This FIS is for command

fis
    Buffer into which data will output

DESCRIPTION

Converts a standard ATA taskfile to a Serial ATA FIS structure (Register - Host to Device).

LOCKING

Inherited from caller.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT